%define pname pybonjour
%define distname %{pname}-%{version}

%define dns_sd %mklibname avahi-compat-libdns_sd 1

Summary:	Pure-Python interface to Apple Bonjour and compatible DNS-SD libraries
Name:		python-%{pname}
Version:	1.1.1
Release:	%mkrel 10
Source0:	%{distname}.tar.gz
License:	MIT
Group:		System/Libraries
Url:		http://code.google.com/p/pybonjour/
BuildArch:	noarch
BuildRequires:	%{dns_sd}
Requires:	%{dns_sd}

%description
pybonjour provides a pure-Python interface to Apple Bonjour and
compatible DNS-SD libraries (such as Avahi). It allows Python scripts
to take advantage of Zero Configuration Networking (Zeroconf) to
register, discover, and resolve services on both local and wide-area
networks.

%prep
%setup -q -n %{distname}

%build
%py2_build

%install
%py2_install

%files
%doc README examples
%{python2_sitelib}/*


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 1.1.1-10.mga6
+ Revision: 971707
- Mageia 6 Mass Rebuild

* Sat Oct 17 2015 daviddavid <daviddavid> 1.1.1-9.mga6
+ Revision: 892331
- make it noarch thus fixing empty debuginfo
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-8.mga5
+ Revision: 744058
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.1-7.mga5
+ Revision: 729415
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-6.mga5
+ Revision: 688239
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.1.1-4.mga4
+ Revision: 543992
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1.1-3.mga4
+ Revision: 499150
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 379303
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 23 2012 blino <blino> 1.1.1-1.mga2
+ Revision: 233073
- initial release
- Created package structure for python-pybonjour.

